---
title: "Get members' last logins"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-members-last-logins"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org_id-members-last-logins"
method: "GET"
path: "/v2/organizations/{org_id}/members/last-logins"
operation_id: "get-v2-organizations-org_id-members-last-logins"
authorization: "bearer"
---

# Get members' last logins

`GET /v2/organizations/{org_id}/members/last-logins`

Allows users to view the list of last logins of members

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes |  |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filters:email` | string | No | Filter by email. Format: `?filters=[{"email":{"type": "=", "value": user_email}}]` (email should be encoded as url) |
| `sort:email` | string | No | Sort by email. Possible values: asc, desc. Format: `?sort[email]=asc` |
| `sort:updated` | string | No | Sort by the time of updated. Possible values: asc, desc. Format: `?sort[updated]=asc` |

## Responses

### 200

Returns the list of members' last logins in case of successful response for the admins and moderators with trial, professional and enterprise subscription. Returns an error when:

* If user is not admin/moderator of the Org, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If user who does not have appropriate subscription tries to update settings, "code": 12003002. Message: "Access denied for current asubscription."
* If user tries to update settings of the organization that is not active or does not exist, "code": 12003001. Message: "Organization `deXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."

**Example** (`example-1`)

```json
{
  "data": [
    {
      "ip": "2XX.XX.XX.X",
      "email": "user1@email.com",
      "user_id": "e4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "created_at": 1678032034,
      "last_login": 1678032034,
      "user_agent": "user agent sample",
      "application": "Sample Application"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/members/last-logins" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-members-last-logins*
